Bug 302771 - Cannot load clamav_plugin.so
Summary: Cannot load clamav_plugin.so
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-24 08:07 UTC by Steve
Modified: 2007-12-29 01:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-29 01:00:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve 2007-09-24 08:07:13 UTC
Description of problem:
When loading the plugin clamav_plugin.so, an error-box appears with the message:
cl_load: Not supported data format

Version-Release number of selected component (if applicable):
claws-mail-3.0.0-1.fc7
claws-mail-plugins-3.0.0-2.fc7
claws-mail-plugins-clamav-3.0.0-1.fc7
...

How reproducible:


Steps to Reproduce:
1. Load the plugin clamav_plugin.so
2. See the error message
3. Unload the plugin
  
Actual results:
Plugin does not work

Expected results:
Plugin should work

Additional info:

Comment 1 Steve 2007-10-12 06:30:35 UTC
The problem also exists in version 3.0.2-1.fc7.

claws-mail-plugins-clamav-3.0.2-1.fc7
clamav-data-0.91.2-2.fc7
clamav-filesystem-0.91.2-2.fc7
clamav-lib-0.91.2-2.fc7



Comment 2 Steve 2007-11-09 13:58:45 UTC
same here:

claws-mail-3.0.2-1.fc8

clamav-filesystem-0.91.2-3.fc8
claws-mail-plugins-clamav-3.0.2-1.fc8
clamav-lib-0.91.2-3.fc8
clamav-data-0.91.2-3.fc8


Comment 3 Andreas Bierfert 2007-12-21 00:04:51 UTC
Hm, this one really bugs me. I can reproduce it here but I have no clue on why
this happens. Will investigate.

Comment 4 Andreas Bierfert 2007-12-29 01:00:21 UTC
Finally had the time to look at this. This is not a 'bug' in either claws nor
clamav. The error message you see is in fact a clamav error message telling you
that you did not setup clamav correctly. 

One thing to get this working is e.g. to install clamav-update to handle
automatic downloading for virus signatures, fix up the config files (both
/etc/freshclam.conf and /etc/sysconfig/freshclam) and initialize the virus
database with a manual run of freshclam.

After that try to load the plugin again... now everything should work.

For questions on how and why you have to do this contact the clamav maintainer.


Note You need to log in before you can comment on or make changes to this bug.